# glance.common.location_strategy.store_type module

Storage preference based location strategy module

glance.common.location_strategy.store_type.get_ordered_locations(locations, uri_key='url', **kwargs)

  Order image location list.

  Parameters

    - locations – The original image location list.

    - uri_key – The key name for location URI in image location dictionary.

  Returns

    The image location list with preferred store type order.

glance.common.location_strategy.store_type.get_strategy_name()

  Return strategy module name.

glance.common.location_strategy.store_type.init()

  Initialize strategy module.

this page last updated: 2026-03-19 02:17:34

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug